<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
	{{ 'constituteElectoralBoard.title' | translate }}
</h1>
<p class="mb-4">
	{{ 'constituteElectoralBoard.instruction' | translate }}
</p>

<sdm-page-actions>
	<i *ngIf="!areAllPasswordsSet" aria-hidden="true" class="bi bi-pen" onReady></i>
	<p *ngIf="!areAllPasswordsSet" onReady>
		{{ 'constituteElectoralBoard.pageActions.setAllPasswords' | translate }}
	</p>

	<i *ngIf="areAllPasswordsSet" aria-hidden="true" class="bi bi-arrow-right-circle" onReady></i>
	<p *ngIf="areAllPasswordsSet" onReady>
		{{ 'constituteElectoralBoard.pageActions.allPasswordsSet' | translate }}
	</p>

	<button
			(click)="constitute()"
			[disabled]="!areAllPasswordsSet"
			class="btn btn-primary"
			onReady
			type="button"
	>
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'constituteElectoralBoard.pageActions.constitute' | translate }}
	</button>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">{{
			'common.loading' | translate
			}}</span>
	</div>
	<p onProgress>
		{{ 'constituteElectoralBoard.pageActions.inProgress' | translate }}
	</p>

	<p onError>
		{{ 'constituteElectoralBoard.pageActions.error' | translate }}
	</p>

	<i class="bi bi-check-circle" onCompletearia-hidden="true"></i>
	<p onComplete>
		{{ 'constituteElectoralBoard.pageActions.complete' | translate }}
	</p>
	<button class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<ng-container *ngIf="constituteStatus$ | async as constituteStatus">
	<sdm-progress *ngIf="constituteStatus !== WorkflowStatus.Ready"/>

	<sdm-password-creation
			(allPasswordsSet)="passwords = $event"
			*ngIf="constituteStatus === WorkflowStatus.Ready"
			[boardMembers]="boardMembers"
	></sdm-password-creation>
</ng-container>